home:
    pattern:   /
    defaults:  { _controller: AvBaseJobBoardBundle:Front:Home }
    
candidate_registration:
    pattern:  /inscription/candidate
    defaults: { _controller: AvBaseJobBoardBundle:RegistrationCandidate:register }
fos_user_security:
    resource: "@FOSUserBundle/Resources/config/routing/security.xml"
    
fos_user_profile:
    resource: "@FOSUserBundle/Resources/config/routing/profile.xml"
    prefix: /profile
    

fos_user_registration:
    resource: "@FOSUserBundle/Resources/config/routing/registration.xml"
    prefix: /inscription
    

fos_user_resetting:
    resource: "@FOSUserBundle/Resources/config/routing/resetting.xml"
    prefix: /reset
    
_managerHome:
    pattern:   /manager
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Ad:List, currentStatus: "newOffers" }

_managerAdslist:
    pattern:   /manager/offres/{currentStatus}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Ad:List, currentStatus: "newOffers" }

adsListByStatus:
    pattern:   /manager/ads/list/{status}/{page}/{orderby}/{way}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Ad:ListByStatus, page: 1, orderby: 'updatedAt', way: 'DESC', currentStatus: "new" }
    requirements:
        page:  \d+

managerAdShow:
    pattern:   /manager/offre/{id}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Ad:Show }


managerDuplicateApplicant:
  pattern: /manager/candidat/{id}/copier-dans-une-autre-offre
  defaults: { _controller: AvBaseJobBoardBundle:Back\Applicant:Duplicate}
  
deleteApplicant:
  pattern: /manager/candidat/{id}/supprimer
  defaults: { _controller: AvBaseJobBoardBundle:Back\Applicant:Delete}
    
  
Back_Applicant_List:
    pattern:   /manager/candidats/{currentStatus}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Applicant:List, currentStatus: "newApplicants" }
    

managerNewAd:
    pattern:   /deposer-une-nouvelle-offre/
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Ad:New }
frontAdConfirm:
    pattern: /confirmation-du-depot-de-votre-annonce/{id}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Ad:NewAdConfirm }


managerChangeAdStatus:
    pattern:   /manager/offre/{id}/modifier-le-statut/{status}/{currentStatus}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Ad:UpdateStatus, currentStatus: "newOffers" }


applicantShow:
    pattern:   /manager/candidature/{id}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Applicant:Show }

candidateShow:
    pattern:   /manager/candidat/{id}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Candidate:Show }

managerChangeApplicantStatus:
    pattern:   /manager/candidat/{id}/modifier-le-statut/{status}/{currentStatus}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Applicant:DefineStatus, currentStatus: "newApplicants" }
    
applicantsListByStatus:
    pattern:   /manager/candidatures/liste/{status}/{page}/{orderby}/{way}
    defaults:  { _controller: AvBaseJobBoardBundle:Back\Applicant:ListByStatus, page: 1, orderby: 'applyDate', way: 'DESC'  }
    requirements:
        page:  \d+
        


frontAdShow:
    pattern:   /offre/{id}
    defaults:  { _controller: AvBaseJobBoardBundle:Front:Show }
    
frontAdList:
    pattern:   /liste-des-offres/{page}/{orderby}/{way}
    defaults:  { _controller: AvBaseJobBoardBundle:Front:List, status: 'published', page: 1, orderby: 'updatedAt', way: 'DESC'}

frontAdListByCity:
    pattern:   /liste-des-offres/{city}/{page}/{orderby}/{way}
    defaults:  { _controller: AvBaseJobBoardBundle:Front:ListByCity, status: 'published', page: 1, orderby: 'updatedAt', way: 'DESC'}

frontAdListByCountry:
    pattern:   /liste-des-offres/{country}/{page}/{orderby}/{way}
    defaults:  { _controller: AvBaseJobBoardBundle:Front:ListByCountry, status: 'published', page: 1, orderby: 'updatedAt', way: 'DESC'}

applyAd:
    pattern:   /postuler-a-une-offre/{adId}
    defaults:  { _controller: AvBaseJobBoardBundle:Front:Apply, adId: 'adId'}
    